% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ fname ] = ImgFileFeat(opt)

fname = sprintf('%s-%s.feat.mat', ...
    strrep(ImgFileData(opt),'.data.mat',''), ...
    OptionStr(opt.feat_opt));
return;

dtag = strrep(ImgFileData(s), '.dat.mat', '');

ftag = sprintf('b%d%d', s.drop_blank, s.fill_blank);
if s.use_pca
    ftag = sprintf('%sp%g', ftag, s.pca_dim);
end
ftag = [ftag s.include_loc];

fname = sprintf('%s{%s}.feat.mat', dtag, ftag);
