% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ r ] = CatVec( cs, fieldname )
%[ r ] = CatVec( cs, fieldname )
%CatVec assemble a field in cells into a long vector.
% vectors are concated.

if nargin == 1
    cs = map(@(x) x(:), cs);
else
    cs = map(@(x) flat(x.(fieldname)), cs);
end

r = cat(1, cs{:});
