% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ ] = PrintStruct(st, pattern)
% [ ] = PrintStruct(st, pattern)

if nargin < 2; pattern = []; end

names = fields(st);
for ind = 1:length(names)
    name = names{ind};
    if ~isempty(pattern) && isempty(regexp(name, pattern, 'once'))
        continue;
    end
    
    fprintf('%20s = %s\n', name, ToStr(st.(name)));
end
