% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ s ] = ToStr(arr)
%[ s ] = ToStr(arr, delimiter)

arr = arr(:)';
if islogical(arr)
    arr = int32(arr);
end

if iscellstr(arr)
    for ind = 1:length(arr)-1
        arr{ind} = [arr{ind} ','];
    end
    s = strcat(arr{:});
elseif isnumeric(arr)
    if length(arr) > 1
        s = sprintf('%g,', arr);
        s = ['[' s(1:end-1) ']'];
    else
        s = sprintf('%g', arr);
    end
elseif ischar(arr)
    s = arr;
else
    s = '[Unsupported]';
end
