% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ perc ] = TraceIter( ind, first, last )
% TraceIter( ind, first, last )
% trace the cycling process

now = ind - first + 1;
len = last - first + 1;
perc = floor(100*now/len);

if now == 1
    fprintf('  %d%%',perc);
    return;
end

bs = char(8);
if perc < 10;
    fprintf('%s%d%%', [bs bs], perc);
else
    fprintf('%s%d%%', [bs bs bs], perc);
end

if ind == last
    fprintf('\n');
end
