% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ C ] = reshape1( A, m, n )
%[ C ] = reshapeEx( A, m, n)
%reshape by one dimension. if m or n is empty then they will be estimated.

l = numel(A);

if ~exist('m', 'var') || isempty(m)
	m = round(l/n);
end
if ~exist('n', 'var') || isempty(n)
	n = round(l/m);
end

C = reshape(A, m, n);
