% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [A] = symmetrize(A)

if size(A, 3) == 1
	A = 0.5*(A + A');
else
	for ind = 1:size(A, 3)
		A(:,:,ind) = 0.5*(A(:,:,ind) + A(:,:,ind)');
	end
end
