% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [features_raw locs patches] = ImgExtractFeature(imgs, opt)

M = length(imgs);
features_raw = cell(M, 1);
locs = cell(M, 1);
patches = cell(M, 1);

parfor ind = 1:M
    if M <= 100 % don't extract patches if too much
        [features_raw{ind} locs{ind} patches{ind}] = ImgFeature(imgs{ind}, ...
            opt.data_opt.feat_type, opt.data_opt.feat_loc, opt.data_opt);
    else
        [features_raw{ind} locs{ind}] = ImgFeature(imgs{ind}, ...
           opt.data_opt.feat_type, opt.data_opt.feat_loc, opt.data_opt);
    end
    
    if opt.show; drawnow; pause(1); end
end
