% ========================================================================
% Liang Xiong (lxiong[at]cs[dot]cmu[dot]edu), AutonLab, 2008-2013
%
% This piece of software is free for research purposes. 
% We hope it was helpful but do not privide any warranty.
% If you encountered any problems please contact the author.
% ========================================================================

function [ ] = SeedRand( seed_u, seed_n )

if nargin == 1
    seed_n = seed_u;
end
if nargin == 0
    seed_u = tic();
    seed_n = seed_u;
end

seed_u = double(bitand(uint64(seed_u), uint64(intmax('uint32'))));
seed_n = double(bitand(uint64(seed_n), uint64(intmax('uint32'))));

rand('twister', seed_u);
randn('seed', seed_n);
